Change the URL of WMDE Policy Team News RSS feed on Meta
Closed, ResolvedPublic

Description

The RSS feed provided by WMDE Policy Team currently whitelisted on Meta (https://tagteam.harvard.edu/hubs/wmde-policy-update/items.rss) is based on the personal Harvard Tag Team account.
Instead of using private account, WMDE Policy Team has set up a team account. On their behalf I request changing the feed URL in the white list to https://tagteam.harvard.edu/hubs/wmde-policy/items.rss.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2017, 8:24 AM
WMDE-leszek triaged this task as Normal priority.May 16 2017, 9:30 AM

There is no https://tagteam.harvard.edu/hubs/wmde-policy-update/items.rss currently enabled feed for metawiki.
But there is https://tagteam.harvard.edu/hubs/wmde-policy-update/tag/rss/wmde.policy.update and content looks identical.
Can you confirm that you want to replace this last link by the new one https://tagteam.harvard.edu/hubs/wmde-policy/items.rss ?

Note: a community consensus which was requested at T155830 does not seem to me necessary, the RSS extension being this time already enabled on metawiki.

Other note: the first feed is no longer used for more than a month in contrary to the asked that is up-to-date. The request seems to me legitimate.

@Framawiki: thanks for noticing that. https://tagteam.harvard.edu/hubs/wmde-policy-update/tag/rss/wmde.policy.update is a subset of https://tagteam.harvard.edu/hubs/wmde-policy-update/items.rss, and the former was indeed used. I missed that, sorry for confusion.

https://tagteam.harvard.edu/hubs/wmde-policy/items.rss is the new URL we want to use, I confirm that. The way those links are collected on the new tag team account is slightly different, thus a bit different-looking URL.

Thank you for the clarification.

Change 354024 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Replace one feed at metawiki

https://gerrit.wikimedia.org/r/354024

Change 354024 merged by jenkins-bot:
[operations/mediawiki-config@master] Replace one feed at metawiki

https://gerrit.wikimedia.org/r/354024

Mentioned in SAL (#wikimedia-operations) [2017-05-16T23:25:43Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Update wmde-policy RSS feed on meta. (T165285) (duration: 00m 39s)

Thanks @Framawiki! And thank you @Dereckson for updating the feed URL on-wiki!

This seems resolved from our side, or is there anything still yet to be done?

Dereckson closed this task as Resolved.May 17 2017, 7:47 AM

You're welcome. @Framawiki don't forget to schedule your change to a SWAT window next time you prepare a commit for a config repo, per https://wikitech.wikimedia.org/wiki/SWAT_deploys. I checked pending changes as the windows was empty, but that doesn't occur often, only once per month I'd say.